Mailinglist Archive: opensuse-security-announce (32 mails)

< Previous Next >
[security-announce] openSUSE-SU-2015:1056-1: critical: Security update for cups
openSUSE Security Update: Security update for cups
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1056-1
Rating: critical
References: #924208
Cross-References: CVE-2012-5519 CVE-2015-1158 CVE-2015-1159

Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:


This update fixes the following issues:

- CVE-2015-1158 and CVE-2015-1159 fixes a possible privilege escalation
via cross-site scripting and bad print job submission used to replace
cupsd.conf on server (CUPS STR#4609 CERT-VU-810572 CVE-2015-1158
CVE-2015-1159 bugzilla.suse.com bsc#924208). In general it is crucial to
limit access to CUPS to trustworthy users who do not misuse their
permission to submit print jobs which means to upload arbitrary data
onto the CUPS server, see
https://en.opensuse.org/SDB:CUPS_and_SANE_Firewall_settings and cf. the
entries about CVE-2012-5519 below.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-418=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-418=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

cups-1.5.4-21.9.1
cups-client-1.5.4-21.9.1
cups-client-debuginfo-1.5.4-21.9.1
cups-ddk-1.5.4-21.9.1
cups-ddk-debuginfo-1.5.4-21.9.1
cups-debuginfo-1.5.4-21.9.1
cups-debugsource-1.5.4-21.9.1
cups-devel-1.5.4-21.9.1
cups-libs-1.5.4-21.9.1
cups-libs-debuginfo-1.5.4-21.9.1

- openSUSE 13.2 (x86_64):

cups-libs-32bit-1.5.4-21.9.1
cups-libs-debuginfo-32bit-1.5.4-21.9.1

- openSUSE 13.1 (i586 x86_64):

cups-1.5.4-12.20.1
cups-client-1.5.4-12.20.1
cups-client-debuginfo-1.5.4-12.20.1
cups-ddk-1.5.4-12.20.1
cups-ddk-debuginfo-1.5.4-12.20.1
cups-debuginfo-1.5.4-12.20.1
cups-debugsource-1.5.4-12.20.1
cups-devel-1.5.4-12.20.1
cups-libs-1.5.4-12.20.1
cups-libs-debuginfo-1.5.4-12.20.1

- openSUSE 13.1 (x86_64):

cups-libs-32bit-1.5.4-12.20.1
cups-libs-debuginfo-32bit-1.5.4-12.20.1


References:

https://www.suse.com/security/cve/CVE-2012-5519.html
https://www.suse.com/security/cve/CVE-2015-1158.html
https://www.suse.com/security/cve/CVE-2015-1159.html
https://bugzilla.suse.com/924208

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages